<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:50 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>NodeList (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NodeList (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeList.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/NodeItem.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../client/PacFactory.html" title="class in client"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/NodeList.html" target="_top">Frames</a></li>
<li><a href="NodeList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">client</div>
<h2 title="Class NodeList" class="title">Class NodeList</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>client.NodeList</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">NodeList</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil <info@dazzleships.net></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#NODELIST_BUILDING">NODELIST_BUILDING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#NODELIST_BUILT">NODELIST_BUILT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#NODELIST_FAILED">NODELIST_FAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#NODELIST_IDLE">NODELIST_IDLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#NODELIST_TERMINATED">NODELIST_TERMINATED</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../client/NodeList.html#NodeList-java.lang.String-java.lang.String-java.lang.String-">NodeList</a></span>(java.lang.String&nbsp;filepath,
        java.lang.String&nbsp;exitfavourites,
        java.lang.String&nbsp;guardfavouritesfile)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#addBridge-java.lang.String-">addBridge</a></span>(java.lang.String&nbsp;bridgedata)</code>
<div class="block">Add newly learned bridge to nodelist</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#clearBridges--">clearBridges</a></span>()</code>
<div class="block">Clear any learned bridges</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#filterRouterInfo-java.util.ArrayList-java.lang.String-">filterRouterInfo</a></span>(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;alInfo,
                java.lang.String&nbsp;field)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getCurrentStatus--">getCurrentStatus</a></span>()</code>
<div class="block">Get the process status</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getExitNodes-boolean-boolean-">getExitNodes</a></span>(boolean&nbsp;all,
            boolean&nbsp;omitfailednodes)</code>
<div class="block">Get a list of exitnodes, if all is false then it returns only favourited
 nodes, if omitfailednodes is true then don't include nodes that failed
 testing</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getExitNodesAsString-boolean-boolean-">getExitNodesAsString</a></span>(boolean&nbsp;all,
                    boolean&nbsp;omitfailednodes)</code>
<div class="block">Get a string of comma separated exitnodes, if all is false then it
 returns only favourited nodes, if omitfailednodes is true then don't
 include nodes that failed testing</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getGuardFavouritesAsCSV--">getGuardFavouritesAsCSV</a></span>()</code>
<div class="block">Get guard favourites</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getGuardNodes--">getGuardNodes</a></span>()</code>
<div class="block">Get a list of all guard nodes guard nodes</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../client/NodeItem.html" title="class in client">NodeItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getNode-java.lang.String-">getNode</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get node item from its fingerprint</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getNumberOfFavs--">getNumberOfFavs</a></span>()</code>
<div class="block">Get the number of active favourites</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getRouterDesc-java.lang.String-">getRouterDesc</a></span>(java.lang.String&nbsp;finger)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getRouterStatus-java.lang.String-">getRouterStatus</a></span>(java.lang.String&nbsp;finger)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getValidatedCountries--">getValidatedCountries</a></span>()</code>
<div class="block">Gets validated countries, a valid country is any country with active exit
 nodes</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#getValidatedCountryCodes--">getValidatedCountryCodes</a></span>()</code>
<div class="block">Gets validated country codes, a valid country is any country with active
 exit nodes</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#refreshExitTableModel-java.lang.String-">refreshExitTableModel</a></span>(java.lang.String&nbsp;isocountry)</code>
<div class="block">Update the table model based on supplied country</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#refreshGuardTableModel--">refreshGuardTableModel</a></span>()</code>
<div class="block">Update the guard node table model</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#refreshNodelist-client.TorController-">refreshNodelist</a></span>(<a href="../client/TorController.html" title="class in client">TorController</a>&nbsp;tc)</code>
<div class="block">Generate the nodelist</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#saveExitFavourites--">saveExitFavourites</a></span>()</code>
<div class="block">Save exit node whitelist</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#saveGuardWhitelist--">saveGuardWhitelist</a></span>()</code>
<div class="block">Save exit node blacklist</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#setExitNodeTableModel-client.ExitNodeTableModel-">setExitNodeTableModel</a></span>(<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a>&nbsp;entm)</code>
<div class="block">Set the exit node view table model</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#setGuardNodeTableModel-client.GuardNodeTableModel-">setGuardNodeTableModel</a></span>(<a href="../client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a>&nbsp;gntm)</code>
<div class="block">Set the guard node view table model</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeList.html#terminate--">terminate</a></span>()</code>
<div class="block">Ensures any threaded actions will terminate themselves</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NODELIST_IDLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NODELIST_IDLE</h4>
<pre>public static final&nbsp;int NODELIST_IDLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeList.NODELIST_IDLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NODELIST_BUILDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NODELIST_BUILDING</h4>
<pre>public static final&nbsp;int NODELIST_BUILDING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeList.NODELIST_BUILDING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NODELIST_BUILT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NODELIST_BUILT</h4>
<pre>public static final&nbsp;int NODELIST_BUILT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeList.NODELIST_BUILT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NODELIST_FAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NODELIST_FAILED</h4>
<pre>public static final&nbsp;int NODELIST_FAILED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeList.NODELIST_FAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NODELIST_TERMINATED">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NODELIST_TERMINATED</h4>
<pre>public static final&nbsp;int NODELIST_TERMINATED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeList.NODELIST_TERMINATED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NodeList-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NodeList</h4>
<pre>public&nbsp;NodeList(java.lang.String&nbsp;filepath,
                java.lang.String&nbsp;exitfavourites,
                java.lang.String&nbsp;guardfavouritesfile)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNode</h4>
<pre>public final&nbsp;<a href="../client/NodeItem.html" title="class in client">NodeItem</a>&nbsp;getNode(java.lang.String&nbsp;key)</pre>
<div class="block">Get node item from its fingerprint</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - or fingerprint</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>NodeItem</dd>
</dl>
</li>
</ul>
<a name="getRouterDesc-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouterDesc</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getRouterDesc(java.lang.String&nbsp;finger)</pre>
</li>
</ul>
<a name="getRouterStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouterStatus</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getRouterStatus(java.lang.String&nbsp;finger)</pre>
</li>
</ul>
<a name="filterRouterInfo-java.util.ArrayList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filterRouterInfo</h4>
<pre>public&nbsp;java.lang.String&nbsp;filterRouterInfo(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;alInfo,
                                         java.lang.String&nbsp;field)</pre>
</li>
</ul>
<a name="getCurrentStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentStatus</h4>
<pre>public final&nbsp;int&nbsp;getCurrentStatus()</pre>
<div class="block">Get the process status</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>status</dd>
</dl>
</li>
</ul>
<a name="refreshNodelist-client.TorController-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshNodelist</h4>
<pre>public final&nbsp;void&nbsp;refreshNodelist(<a href="../client/TorController.html" title="class in client">TorController</a>&nbsp;tc)</pre>
<div class="block">Generate the nodelist</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tc</code> - </dd>
</dl>
</li>
</ul>
<a name="addBridge-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBridge</h4>
<pre>public&nbsp;void&nbsp;addBridge(java.lang.String&nbsp;bridgedata)</pre>
<div class="block">Add newly learned bridge to nodelist</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bridgedata</code> - </dd>
</dl>
</li>
</ul>
<a name="clearBridges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearBridges</h4>
<pre>public&nbsp;void&nbsp;clearBridges()</pre>
<div class="block">Clear any learned bridges</div>
</li>
</ul>
<a name="getValidatedCountries--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidatedCountries</h4>
<pre>public final&nbsp;java.lang.String[]&nbsp;getValidatedCountries()</pre>
<div class="block">Gets validated countries, a valid country is any country with active exit
 nodes</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String array of countries</dd>
</dl>
</li>
</ul>
<a name="getValidatedCountryCodes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidatedCountryCodes</h4>
<pre>public final&nbsp;java.lang.String[]&nbsp;getValidatedCountryCodes()</pre>
<div class="block">Gets validated country codes, a valid country is any country with active
 exit nodes</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String array of country abbreviations</dd>
</dl>
</li>
</ul>
<a name="setGuardNodeTableModel-client.GuardNodeTableModel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGuardNodeTableModel</h4>
<pre>public final&nbsp;void&nbsp;setGuardNodeTableModel(<a href="../client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a>&nbsp;gntm)</pre>
<div class="block">Set the guard node view table model</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gntm</code> - </dd>
</dl>
</li>
</ul>
<a name="setExitNodeTableModel-client.ExitNodeTableModel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExitNodeTableModel</h4>
<pre>public final&nbsp;void&nbsp;setExitNodeTableModel(<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a>&nbsp;entm)</pre>
<div class="block">Set the exit node view table model</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entm</code> - </dd>
</dl>
</li>
</ul>
<a name="getExitNodes-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExitNodes</h4>
<pre>public final&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getExitNodes(boolean&nbsp;all,
                                                                boolean&nbsp;omitfailednodes)</pre>
<div class="block">Get a list of exitnodes, if all is false then it returns only favourited
 nodes, if omitfailednodes is true then don't include nodes that failed
 testing</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>all</code> - </dd>
<dd><code>omitfailednodes</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList of exit nodes</dd>
</dl>
</li>
</ul>
<a name="getExitNodesAsString-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExitNodesAsString</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getExitNodesAsString(boolean&nbsp;all,
                                                   boolean&nbsp;omitfailednodes)</pre>
<div class="block">Get a string of comma separated exitnodes, if all is false then it
 returns only favourited nodes, if omitfailednodes is true then don't
 include nodes that failed testing</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>all</code> - </dd>
<dd><code>omitfailednodes</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String of exitnodes in csv format</dd>
</dl>
</li>
</ul>
<a name="getGuardNodes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGuardNodes</h4>
<pre>public final&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getGuardNodes()</pre>
<div class="block">Get a list of all guard nodes guard nodes</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList of guard nodes</dd>
</dl>
</li>
</ul>
<a name="getGuardFavouritesAsCSV--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGuardFavouritesAsCSV</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getGuardFavouritesAsCSV()</pre>
<div class="block">Get guard favourites</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>CSV string of guard entry fingerprints</dd>
</dl>
</li>
</ul>
<a name="refreshGuardTableModel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshGuardTableModel</h4>
<pre>public final&nbsp;void&nbsp;refreshGuardTableModel()</pre>
<div class="block">Update the guard node table model</div>
</li>
</ul>
<a name="refreshExitTableModel-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshExitTableModel</h4>
<pre>public final&nbsp;void&nbsp;refreshExitTableModel(java.lang.String&nbsp;isocountry)</pre>
<div class="block">Update the table model based on supplied country</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isocountry</code> - in the format "GB,Great Britain"</dd>
</dl>
</li>
</ul>
<a name="getNumberOfFavs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumberOfFavs</h4>
<pre>public&nbsp;int&nbsp;getNumberOfFavs()</pre>
<div class="block">Get the number of active favourites</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of favs as int</dd>
</dl>
</li>
</ul>
<a name="terminate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>terminate</h4>
<pre>public final&nbsp;void&nbsp;terminate()</pre>
<div class="block">Ensures any threaded actions will terminate themselves</div>
</li>
</ul>
<a name="saveExitFavourites--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveExitFavourites</h4>
<pre>public&nbsp;void&nbsp;saveExitFavourites()</pre>
<div class="block">Save exit node whitelist</div>
</li>
</ul>
<a name="saveGuardWhitelist--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saveGuardWhitelist</h4>
<pre>public&nbsp;int&nbsp;saveGuardWhitelist()</pre>
<div class="block">Save exit node blacklist</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of active guards</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeList.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/NodeItem.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../client/PacFactory.html" title="class in client"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/NodeList.html" target="_top">Frames</a></li>
<li><a href="NodeList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
